%define momorel 3

Summary:	Several Ogg Vorbis Tools
Name:		vorbis-tools
Version:	1.0.1
Release:	%{momorel}m
Group:		Applications/Multimedia
License:	GPL
URL:		http://www.vorbis.com/
Source0:	http://www.vorbis.com/files/%{version}/unix/vorbis-tools-%{version}.tar.gz
NoSource: 0
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires:       libvorbis >= 1.0.1
Requires:       libao >= 0.8.3
Requires:       curl >= 7.12.2
BuildPreReq:	libao-devel >= 0.8.3
BuildPreReq:    libvorbis-devel >= 1.0.1
BuildPreReq:    curl-devel >= 7.9.5
BuildPreReq:    flac-devel >= 1.1.1


%description
vorbis-tools contains oggenc (and encoder) and ogg123 (a playback tool)

%prep
%setup -q -n %{name}-%{version}

%build
if [ ! -f configure ]; then
  CFLAGS="%{optflags}" ./autogen.sh --prefix=/usr --mandir=%{_mandir}
else
  CFLAGS="%{optflags}" ./configure --prefix=/usr --mandir=%{_mandir}
fi
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%files
%defattr(-,root,root)
%doc COPYING
%doc README
%doc ogg123/ogg123rc-example
%{_bindir}/oggenc
%{_bindir}/ogg123
%{_bindir}/oggdec
%{_bindir}/ogginfo
%{_bindir}/vorbiscomment
%{_bindir}/vcut
%{_mandir}/man1/ogg123.1*
%{_mandir}/man1/oggenc.1*
%{_mandir}/man1/ogginfo.1*
%{_mandir}/man1/vorbiscomment.1*
%{_mandir}/man1/vcut.1*
%{_mandir}/man1/oggdec.1*
%{_datadir}/locale/*/*/*

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post

%postun

%changelog
* Fri Nov 26 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.1-3m)
- rebuild against flac 1.1.1
- BuildPreReq: flac-devel

* Sun Oct 31 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.1-2m)
- rebuild against curl-7.12.2

* Tue Aug 31 2004 Shotaro Kamio <skamio@momonga-linux.org>
- (1.0.1-1m)
- ver up

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (1.0-5m)
- revised spec for rpm 4.2.

* Wed Oct 22 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0-4m)
- kill %%define version

* Mon Mar 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.0-3m)
  rebuild against openssl 0.9.7a

* Fri Jul 19 2002 Kentarou SHINOHARA <puntium@momonga-linux.org>
- (1.0-2m)
- change requirements on libvorbis to 1.0-1m instead of 1.0
  Omokon thinks 1.0 < 1.0-0.nnnnnnnnk

* Fri Jul 19 2002 Kentarou SHINOHARA <puntium@momonga-linux.org>
- (1.0-1m)
- upgrade to final 1.0 release version

* Sun Apr 14 2002 Toshiro HIKITA <toshi@sodan.org>
- (1.0-0.0030004k)
- require curl-devel >= 7.9.5

* Tue Mar 19 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.0-0.0030002k)
  update to rc3

* Thu Oct 18 2001 Toru Hoshina <t@kondara.org>
- (1.0-0.0005002k)
- rc2.

* Wed Mar 21 2001 Motonobu Ichimura <famao@kondara.org>
- changed group name to Applications/Multimedia
- removed Vendor Tag
 
* Mon Dec 11 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- to NoSource(source from http://www.vorbis.com/download.new.html)
- TAG changed (Copyright -> License)

* Sun Oct 29 2000 Jack Moffitt <jack@icecast.org>
- initial spec file created
